Package com.evopdf

# Class GradientColor

java.lang.Object
com.evopdf.GradientColor

public class GradientColor extends Object
Used to fill a shape

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GradientColor(GradientDirection direction, RgbColor start, RgbColor end)`
  Gradient constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RgbColor`
  `endColor()`
  Gets the gradient end color
  `GradientDirection`
  `gradientDirection()`
  Gets the gradient direction
  `void`
  `setEndColor(RgbColor endColor)`
  Sets the gradient end color
  `void`
  `setGradientDirection(GradientDirection gradientDirection)`
  Sets the gradient direction
  `void`
  `setStartColor(RgbColor startColor)`
  Sets The gradient start color
  `RgbColor`
  `startColor()`
  Gets the gradient start color

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GradientColor

    public GradientColor(GradientDirection direction, RgbColor start, RgbColor end)
    Gradient constructor
    Parameters:
      `direction` - the gradient direction
      `start` - the start color of the gradient
      `end` - the end color of the gradient

- ## Method Details

  - ### startColor

    public RgbColor startColor()
    Gets the gradient start color
    Returns:
      the gradient start color

  - ### setStartColor

    public void setStartColor(RgbColor startColor)
    Sets The gradient start color
    Parameters:
      `startColor` - the start color

  - ### endColor

    public RgbColor endColor()
    Gets the gradient end color
    Returns:
      the gradient end color

  - ### setEndColor

    public void setEndColor(RgbColor endColor)
    Sets the gradient end color
    Parameters:
      `endColor` - the gradient end color to set

  - ### gradientDirection

    public GradientDirection gradientDirection()
    Gets the gradient direction
    Returns:
      the gradient direction

  - ### setGradientDirection

    public void setGradientDirection(GradientDirection gradientDirection)
    Sets the gradient direction
    Parameters:
      `gradientDirection` - the gradient direction to set